@barakuda1

Как убрать ошибку crx required proof missing при установке расширения crx для браузера?

Здравствуйте.
Хочу сделать расширение для браузера Chrome для пользователей своего сайта.

При установке, получаю ошибку:

пакет недействителен crx required proof missing


Что нужно подправить / изменить?

Мой manfest.json

{
  "manifest_version": 2,
  "name": "test",
  "version": "1.0.0",
  "content_scripts": [
    {
      "matches": [
        "<all_urls>"
      ],
      "js": ["content.js"]
    }
  ],
	  "browser_action": {
	  "default_icon": "favicon.ico"
	}
}


В content.js обычный вывод alert сообщения.

Захожу в браузере "Дополнительно - расширения - включаю режим разработчика, упаковываю"

После чего, получаю crx файл, загружаю к себе на сайт, вызываю так:

<a href="./script.crx">Install</a>

Скачивается, начинает устанавливаться и выводит ошибку "пакет недействителен crx required proof missing"

Почитал всякие статьи, но ничего путного не нашел, что могло бы решить проблему.
  • Вопрос задан
  • 85 просмотров
Пригласить эксперта
Ответы на вопрос 2
@barakuda1 Автор вопроса
Единственное на что наткнулся, нужна версия crx3, а как это сделать адекватным способом - не нашел.
Но не факт, что это решит проблему.

Или подобная интеграция доступна только после публикации в магазине расширений chrome?
Ответ написан
@acwartz
Тут должна быть ваша реклама.
версии 3 - manifest_version: 3, и дальше подправить работу с API в соотв. с 3-м манифестом.
Про установку с сайта и вот так - забудьте. Только из магазина, только опубликованное там расширение.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы